#!/bin/bash
# Docker entry point - intended to be run on the master only
# Installs a p4d installation
# Generates some test data
# Runs the benchmar scripts

function bail () { echo -e "\nError: ${1:-Unknown Error}\n"; exit ${2:-1}; }

sudo mkdir /hxdepots /hxmetadata /hxlogs
sudo chown -R perforce:perforce /hx*

mkdir -p /hxdepots/reset
cd /hxdepots/reset
curl -k -s -O https://swarm.workshop.perforce.com/downloads/guest/perforce_software/helix-installer/main/src/reset_sdp.sh
chmod +x reset_sdp.sh
./reset_sdp.sh -fast -no_ssl -no_sd
